[Overview][Types][Classes][Index] | Reference for unit 'PropertyStorage' (#lcl)

# TCustomPropertyStorage.ReadInteger

Reads an integer value, stored as a string, from the RootSection.

## Declaration

Source position: propertystorage.pas line 153

`public function TCustomPropertyStorage.ReadInteger(`
`const Ident: string;`
`DefaultValue: LongInt`
`):LongInt;`

## Arguments

`Ident` |  | Identifier for the value read in the method.
`DefaultValue` |  | Default value used when the identifier is not found.

## Function result

Value read in the method.